using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace RenameInPlace_ColumnHeader
{
    public partial class MyGridView : DataGridView
    {
        private Form1 _form1;

        protected override bool ProcessDialogKey(Keys keyData)
        {
            if(keyData == Keys.Enter && this._form1 != null && this._form1.EnteringString)
            {
                this._form1.EnterFromGrid();
                return true;
            }
            else
                return base.ProcessDialogKey(keyData);
        }

        protected override void OnHandleCreated(EventArgs e)
        {
            base.OnHandleCreated(e);
            Form1 f = this.TopLevelControl as Form1;
            if(f != null)
                this._form1 = f;
        }
    }
}
